package com 
{
	import org.flixel.FlxSprite;
	
	/**
	 * ...
	 * @author Lulzy & Villermen
	 */
	public class Spring extends FlxSprite 
	{
		
		public function Spring(X:uint, Y:uint) 
		{
			super(X, Y);
			
			loadGraphic(Assets.springAnim, true, false, 60, 40);
			
			addAnimation("IDLE", [0]);
			addAnimation("SPROING", [0, 1, 2, 1, 0], 10, false);
			
			play("IDLE");
		}
		
		override public function update():void
		{
			if (overlaps(PlayState.player))
			{
				play("SPROING");
			}
			
			super.update();
		}
		
	}

}